:root {
    --main-button-clr: #AFADEC;
    --second-button-clr: #6FCF97;
    --notice-bg-color: #F2F1FF;
}

.bold {
    font-weight: bold;
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    overflow: hidden;
    border: 0;
    clip: rect(0 0 0 0);
}

.descriptor {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: flex-end;
    justify-content: flex-start;
    transform: translate(0%, -35%);
    text-align: center;
    color: #bbbbba;
    font-size: 9px;
}

.navbar-cart {
    position: relative;
}

.cart-minify {
    display: none;
    width: 500px;
    position: absolute;
    right: 1px;
    background: #f7f7f7;
    padding: 20px;
    top: 50px;
    border-radius: 5px;
    z-index: 1;
}

.cart-minify-close {
    text-align: right;
}

.cart-minify-close:hover {
    cursor: pointer;
    color: black;
}

.cart-minify .total {
    text-align: right;
}

.cart-minify .buttons {
    text-align: right;
}

.cart-minify .buttons .checkout {
    margin-left: 10px;
}

.cart-minify__list {
    padding: 0;
}

.cart-minify .cart-minify__list {
    display: flex;
    flex-direction: column;
}

.cart-minify__list .mini_cart_item {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.cart-minify__list .remove {
    order: 1;
}

.cart-minify__list a {
    display: flex;
    align-items: center;
}

.cart-minify__list a img {
    margin-right: 10px;
}

.cart-minify__list .mini_cart_item a:nth-child(2) {
    flex-basis: 65%;
}

.cart-minify__list .quantity {
    flex-basis: 35%;
    text-align: center;
}

.xoo-wsc-img-col img {
    width: auto;
    height: auto;
}

p.woocommerce-mini-cart__empty-message {
    color: black;
}

.modal-forms .modal-form {
    width: 50vh;
}

.modal-form label {
    font-size: 14px;
}

.modal-form {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 30px;
    border: 1px solid #aaa;
    border-radius: 5px;
    box-shadow: 5px 5px 20px lightgrey;
    background: #fff;
    top: 30%;
    z-index: 311111111;
    background: #fff;
    left: 40%;
}

.modal-form__close {
    font-size: 30px;
    font-weight: bold;
    padding: 10px;
    transform: rotate(45deg);
    position: absolute;
    z-index: 1;
    display: flex;
    width: 1%;
    height: 1%;
    justify-content: center;
    align-items: center;
    right: 10px;
    top: 10px;
}

.modal-form__close:hover {
    cursor: pointer;
}

.field-required {
    font-weight: bold;
    color: red;
}

.modal-forms .modal-overlay {
    position: fixed;
    align-items: center;
    justify-content: center;
    top: 0px;
    left: 0px;
    width: 100vw;
    height: 100vh;
    background: #00000080;
    z-index: 999;
    transition: 0.3s;
}

.modal-overlay-sidebar {
    position: fixed;
    align-items: center;
    justify-content: center;
    top: 0px;
    left: 0px;
    width: 100vw;
    height: 100vh;
    background: #00000080;
    z-index: 999;
}

.product-cta {
    display: flex;
    align-items: center;
    gap: 20px;
    position: relative;
}

.product-cta .added_to_cart {
    position: absolute;
    padding: 10px 15px;
    top: 90%;
    left: 0;
    line-height: inherit;
}

.fast-order {
    flex-grow: 1;
    display: flex;
}

.woocommerce.single-product div.product form.cart {
    flex-basis: 60%;
}
button.call-order_btn,
button.fast-order_btn {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 2px;
    color: #000;
    background: #dad5d5;
    font-family: "Roboto Condensed",sans-serif;
    font-size: 11px;
    letter-spacing: 2px;
    text-transform: uppercase;
}
button.call-order_btn:hover,
button.fast-order_btn:hover {
    opacity: 0.8;
}

div.summary .product_meta {
    margin-top: 50px;
}

.vc_row-fluid.text-builder-content {
    margin-top: -130px;
}

h3.underline {
    border-bottom: 3px solid #f2f2f2;
    font-size: 20px;
    font-weight: bold;
}

span.colored-grey {
    font-size: 28px;
    color: #aa93c4;
    width: 17%;
}

ul.about-us-advantage {
    list-style: none;
    margin: 0;
    padding: 0;
}

ul.about-us-advantage li {
    flex-basis: 50%;
    display: flex;
    align-items: center;
    text-align: left;
    padding: 20px;
}

ul.about-us-advantage li span {
    line-height: 1.4em;
    width: 120px;
}

span.about-text {
    flex-grow: 1;
}

p.form-row.custom-flex {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

div.scroll-up {
    right: 25px;
    bottom: 100px;
}

div.scroll-up a {
     background: #808080;
}

.prod-img-wrap {
    max-height: 300px;
}

ul.products li.product img {
    width: 100%;
    object-fit: contain;
    max-height: 300px;
}

ul.products li.product .h2 {
    min-height: 30px;
}

ul.product-cats,
ul.catalog-tags {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    margin: 0;
    padding: 0;
    margin-top: 20px;
}

.product-cats .category,
.catalog-tags .category {
    padding: 5px;
    border: 1px solid #d3d3d3;
    border-radius: 10px;
    text-decoration: none;
    border-bottom: 1px solid #d3d3d3;
    margin: 5px;
}

.product-cats .category.show-hidden {
    cursor: pointer;
}

.catalog-tags .category a {
    margin: 0;
    text-decoration: none;
    border-bottom: none;
    font-size:  13px;
}

ul.catalog-tags a:hover {
    text-decoration: none;
    border-bottom: none;
}

nav.woocommerce-pagination {
    float: none;
}

.frequently-searched-products h3 {
    font-weight: bold;
    text-align: center;
    color: #000;
    font-size: 26px;
}

button.show-elements {
    padding: 0px 15px;
    border-radius: 10px;
    background: #fff;
    border: 1px solid #d3d3d3;
}

button.show-elements:hover {
    background: #f5f5f5;
}

.navbar-phone {
    position: relative;
    display: table-cell;
    vertical-align: middle;
    padding-left: 15px;
}

.show-btn-wrapper {
    display: flex;
    justify-content: flex-end;
}

.show-full-params,
.hide-full-params {
    color: var(--main-button-clr);
    background: none;
    border: none;
    font-size: 12px;
    margin-top: 10px;
    padding-right: 25px;
    background-image: url('/wp-content/uploads/icons/arrow.svg');
    background-repeat: no-repeat;
    background-position: right 60%;
}

.hide-full-params {
    background-image: url('/wp-content/uploads/icons/arrow-up.svg');
}

.show-full-params:hover,
.hide-full-params:hover {
    color: #808080;
}

.widget-area .woocommerce-widget-layered-nav .widget-title,
.widget-area .widget_price_filter .widget-title,
.widget-area .widget_layered_nav_filters .widget-title {
    border-bottom:  none;
    padding: 0;
    margin-bottom: 10px;
    font-weight:  bold;
}

.sidebar .widget-area .widget:not(.widget_layered_nav_filters) {
    margin-bottom: 40px;
    padding-bottom: 30px;
    border-bottom: 1px solid #BDBDBD;
}

.woocommerce-widget-layered-nav-list__item {
    margin-left: 20px;
}

.woocommerce-widget-layered-nav-list__item a,
.widget_layered_nav_filters a {
    font-size:  16px;
}

.widget_price_filter .ui-slider span.ui-slider-handle {
    background: var(--main-button-clr);
}

.widget_price_filter .ui-slider div.ui-slider-range {
    background: var(--main-button-clr);
    height: 2px;
}

.widget_price_filter .price_slider_wrapper div.ui-widget-content {
    height: 2px;
}

div.widget_price_filter .ui-slider-horizontal {
    width: 100%;
    margin-top: 20px;
}

div.price_slider_amount button[type=submit],
.sidebar-shop button.woocommerce-widget-filter__submit[type=submit] {
    background: var(--main-button-clr);
    margin-top:  20px;
}

.sidebar-shop button.woocommerce-widget-filter__submit[type=submit] {
    display:  none;
}

.submit-filter-btn-wrapper {
    display: flex;
    justify-content: flex-end;
    width: 100%;
}

.price_slider_amount {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.price_slider_amount input {
    flex-basis: 49%;
    display: block!important;
}

.price_slider_amount .price_label {
    display:  none!important;
}

.price-filter-label {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    font-size: 12px;
    font-weight: normal;
}

.price-handle-wrapper {
    display: flex;
    justify-content: space-between;
}

.chosen.clear a {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 16px;
}

.chosen.clear::before {
    content: '';
}

.widget_layered_nav_filters li.chosen.clear a::after {
    background: none;
}

.woocommerce-widget-layered-nav-list__item--chosen a {
    font-weight: bold;
    color: var(--main-button-clr);
}

.coupon .button,
.woocommerce-form-coupon .button{
    background-color: var(--main-button-clr);
}

.coupon .button:hover,
.woocommerce-form-coupon .button:hover {
    background-color: var(--main-button-clr);
    opacity: 0.8;
}

.cart-collaterals .wc-proceed-to-checkout-custom  .button.checkout-button {
    background-color: var(--second-button-clr);
    width: 30%;
}

#payment .place-order #place_order {
     background-color: var(--second-button-clr);
}

.cart-collaterals .wc-proceed-to-checkout-custom .button.checkout-button:hover,
#payment .place-order #place_order:hover {
    background-color: var(--second-button-clr);
    opacity: 0.8;
}

.cart-collaterals .cart_totals.cart_totals_custom {
    width: 100%;
    margin-bottom: 40px;
    border-bottom: 1px solid #e5e5e5;
    position: relative;
    z-index: 1;
}

.custom-cart-total {
    display: flex;
    flex-wrap: wrap;
    padding: 30px 20px;
    background-color: #F9F9F9;
    justify-content: flex-end;
    align-items: baseline;
    margin-top: -40px;
}

.cart-collaterals .wc-proceed-to-checkout-custom {
    margin-top: 20px;
    display: flex;
    justify-content: flex-end;
}

.shipping-text {
    font-size: 16px;
    margin-right: 20px;
}

.total-cost,
.total-cost .amount {
    font-size: 20px;
    font-weight: normal;
}

.total-cost-value .woocommerce-Price-currencySymbol {
    margin-left: 5px;
}

.cart-related-products .products {
    padding-top: 50px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.cart-related-products {
    margin-bottom: 40px;
}

.cart-gift-products {
    padding-bottom: 40px;
    border-bottom: 1px solid #e5e5e5;
}

.cart-gift-products .gift-products-header {
    position: relative;
    color: #111;
    font-family: "Roboto Condensed", sans-serif;
    font-size: 30px;
    font-weight: 400;
    line-height: 1.4;
    text-align: center;
    letter-spacing: 4px;
    text-transform: uppercase;
}

.gift-cards {
    margin-top: 40px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.gift-card {
    flex-basis: 30%;
    margin-right: 40px;
    margin-bottom: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.gift-card-title {
    font-size: 14px;
    text-transform: uppercase;
    text-align: center;
    min-height: 60px;
}

.shipping .woocommerce-shipping-methods {
    padding-left: 0;
}

.woocommerce-billing-fields__field-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.col2-set #billing_email_field,
.col2-set #billing_phone_field {
    width: 49%;
}

.col2-set #billing_email_field {
    margin-right: 2%;
}

.payment-notice,
.billing-notice {
    background-color: var(--notice-bg-color);
    padding: 10px;
    color: #514EB0;
}

.place-order-notice {
    margin-bottom: 15px;
}

.woocommerce-privacy-policy-text {
    background-color: var(--notice-bg-color);
    padding: 10px;
}

.billing-notice__list {
    padding: 0;
    padding-left: 20px;
    margin: 0;
}

.woocommerce-checkout #shop-isle-checkout-coupon .woocommerce-info:last-of-type {
    display: block;
    background-color: #AFADEC;
    color: #fff;
    padding-left: 80px;
    position: relative;
}

.woocommerce-checkout #shop-isle-checkout-coupon .woocommerce-info:last-of-type::before {
    content: "";
    width: 50px;
    height: 50px;
    background-image: url("/wp-content/uploads/icons/fullsize_distr 3.svg");
    background-repeat: no-repeat;
    position: absolute;
    left: 3%;
}

#shop-isle-checkout-coupon .woocommerce-info:last-of-type .showcoupon {
    color: #fff;
    font-weight: bold;
}

.checkout-contact-us {
    margin-top: 80px;
}

.contact-item {
    margin-bottom: 20px;
    padding-left: 80px;
    position: relative;
}

.contact-item:before {
    content: "";
    width: 60px;
    height: 60px;
    background-repeat: no-repeat;
    position: absolute;
    left: 0;
    top: 10%;
}

.contact-item:first-child::before {
    background-image: url("/wp-content/uploads/icons/whatsapp.svg");
}

.contact-item:last-child::before {
    background-image: url("/wp-content/uploads/icons/mail.svg");
}

.order-total .amount {
    font-size: 20px;
    font-weight: bold;
}

.checkout #order_review_heading {
    padding-left: 0;
}

.order-recieve-notive {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 20px;
    color: #111;
    text-align: center;
    transform: translateY(-80px);
    margin-bottom: -30px;
}

.woocommerce-order ul.order_details li strong,
.order_details .amount {
    font-size: 16px;
}

.woocommerce-order-details {
    width: 50%;
}

.order-details-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.order-recived-contacts span {
    text-transform: uppercase;
    font-size: 12px;
    font-weight: normal;
}

.order-contacts-item {
    font-weight: bold;
}

.woocommerce-account-fields {
    margin-top: 30px;
}

.cart-delivery-points button.wc-edostavka-choose-delivery-point {
    background-color: #6fcf97;
    border: 1px solid #6fcf97;
    border-radius: 0px;
    color: #fff;
    font-weight: normal;
}

.cart-delivery-points button.wc-edostavka-choose-delivery-point:hover {
    background-color: #6fcf97;
    border: 1px solid #6fcf97;
    border-radius: 0px;
    color: #fff;
    font-weight: normal;
    opacity: 0.8;
}

.woocommerce.single-product .stock.custom-stock {
    float: none;
    border: none;
    cursor: auto;
    font-weight: bold;
    padding: 0;
}

.woocommerce.single-product .custom-stock.available-on-backorder {
    color: #611697!important;
}

.woocommerce.single-product .custom-stock.available-on-backorder:hover {
    background-color: transparent;
    color: #611697!important;
}

.product-main-content .onsale.out-of-stock {
    color: white;
}

.related.products .h2-header, 
.upsells.products .h2-header {
    position: relative;
    color: #111;
    font-family: "Roboto Condensed", sans-serif;
    font-size: 30px;
    font-weight: 400;
    line-height: 1.4;
    text-align: center;
    letter-spacing: 4px;
    text-transform: uppercase;
}

@media (min-width: 1200px) {
    div.container {
        width: 1270px;
    }
}

@media (max-width: 1040px) {
    
    .xoo-wsc-basket {
        bottom: 82px;
        right: 15px;
    }

    .modal-form {
        left: 20%;
    }
    
}

@media (max-width: 780px) {
    div.woocommerce-tabs ul.tabs li a {
        padding: 10px;
    }

    #pg-w608a9e9d110b1-1 #social-icons {
        flex-direction: row;
    }

    ul.products li.product img {
        height: 330px;
    } 

    .product-cta .added_to_cart {
        position: static;
    }

    .cart-collaterals .wc-proceed-to-checkout-custom .button.checkout-button {
        width: 50%;
    }

    .shipping-text {
        margin-right: 0;
    }
    button.call-order_btn {
        max-width: 240px;
    }
}

@media (max-width: 768px) {
    .descriptor {
        font-size: 20px;
    }

    .product-cta {
        flex-direction:  column;
        gap: 0;
        margin-bottom: 20px;
    }

    .fast-order {
        width: 100%;
        max-width: inherit !important;
        margin-right: 0 !important;
    }
    
     .price-handle-wrapper {
        width: 100%;
    }

    .submit-filter-btn-wrapper {
        justify-content: center;
    }

    .shop-isle-sidebar-close {
        position: absolute;
        top: 0;
        right: 15px;
    }

    .shop-isle-sidebar-close .icon-close {
        border-radius: 50%;
        background: #fff;
        top: -50px;
        right: -15px;
    }

    .icon-close::before {
        color: #808080;
    }

    .sidebar.sidebar-shop {
        position: absolute;
        width: 100%;
        padding-top: 30px;
        padding-bottom: 40px;
        top: 70px;
        height: auto;
        overflow-x: unset;
    }

    .js-widget-list-mobile {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .show-full-params {
        margin-top: -10px;
    }

    .order-details-wrapper {
        justify-content: space-between;
    }
}

@media (max-width: 430px) {
    .descriptor {
        font-size: 9px;
    }

    .hero-slider .slides {
        height: 712px;
    }

    .home-section.home-parallax {
        height: 432px!important;    
        margin-top: 100px;
    }

    .modal-form {
        left: 0;
        top: 20%;
    }

    .modal-forms .modal-form {
        width: 100%;
    }

    ul.products li.product img  {
        height: 170px;
    }

    .custom-cart-total {
        text-align: center;
        justify-content: center;      
    }

    .cart-collaterals .wc-proceed-to-checkout-custom .button.checkout-button {
        width: 100%;
    }

    .gift-card {
        flex-basis: 100%;
        margin-right: 0;
    }

    .cart-related-products .products {
        flex-direction: column;
        align-items: center;
    }

    .woocommerce-order-details {
        width: 100%;
    }

    .woocommerce table.shop_table th,
    .woocommerce table.shop_table td {
        padding: 5px;
    }

    .order-recieve-notive {
        font-size: 14px;
        transform: translateY(-60px);
    }

    ul.products li.product .h2 {
        display: -webkit-box;
      -webkit-line-clamp: 2;
      -webkit-box-orient: vertical;
      overflow: hidden;
    }

}

@media (max-width: 380px) {
     .cart-minify {
        width: 100%;    
     }


}

@media (max-width: 320px) {
    .descriptor {
        font-size: 7px;  
    }
}